#!/bin/bash 
echo "#!/bin/bash 

cppflags=\"-I/usr/include \" 
includedir=\"$1\" 
cxxflags=\"-pipe \" 
ldflags=\"-L/usr/lib \" 
libdir=\"$2\" 
libs=\"-lhdf5 -lhdf5 -lcfitsio -ldfftw -ldrfftw -ldfftw_mpi -ldrfftw_mpi \" 
visit_install=\"$3\" 



function print_usage
{
    echo -e \"BASIN-config <flags> where <flags> is:\n\t--cppflags\n\t--cxxflags\n\t--ldflags\n\t--libs\n\t--visit_install_dir\n\t--all\n\"
}

function print_cppflags
{
    echo -n \"\$cppflags -I\$includedir \"
}

function print_cxxflags
{
    echo -n \"\$cxxflags \"
}

function print_ldflags
{
    echo -n \"\$ldflags -L\$libdir -Wl,--rpath -Wl,\$libdir \"
}

function print_libs
{
    echo -n \"\$libs -lbasin \"
}

function print_visit_install_dir
{
    echo -n \"\$visit_install \"
}

function print_all
{
    print_cppflags
    print_cxxflags
    print_ldflags
    print_libs
}


while [ \"\$1\" != \"\" ]; do
    case \"\$1\" in
        --cppflags )
            shift
            print_cppflags
            ;;
        --cxxflags )
            shift
            print_cxxflags
            ;;
        --ldflags )
            shift
            print_ldflags
            ;;
        --libs )
            shift
            print_libs
            ;;
        --visit_install_dir )
            shift
            print_visit_install_dir
            ;;
        --all )
            shift
            print_all
            ;;
        * )
            print_usage
            exit
            ;;
    esac
    shift
done
" > BASIN-config
chmod 755 BASIN-config
