/*
 *  C++ core and functions for BASIN.
 *  Copyright (C) 2006  BASIN team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include "gnuplot.h"

//! Create a 2-d scatter plot using two attributes of a List
void plot(List* mylist,string var1, string var2,string title="");

//! Plot a 2-d color scale plot using an attribute of a 2d grid.
void plot(Grid* mygrid,string key="",string title="");

//! Create a 2-d scatter plot of points using 2 Attributes of a List
void plot(Attribute& x,Attribute& y,string title="");
/*! Plot a 2-d color scale plot using an Attribute of a 2d grid, a set of */
//! grid dimensions, and a title.
void plot(Attribute& x,string title="");
/*! Plot a Histogram using a vector associated with the bins, the x-value */
// corresponding to the first bin, and the width of the bins.
void plot_hist(vector<int>,double,double);
void plot(vector<double> x, vector<double> y,int type=0,int axes=0,string title="");
void plot(vector<double> x, vector<double>y1, vector<double> y2);

